# Get Datasets Retrieve a list of all datasets. If there are no datasets, returns an empty array. Endpoint: GET /tailored-gen/datasets ## Header parameters: - `api_token` (string, required) ## Response 200 fields (application/json): - `id` (integer) Unique identifier for the dataset - `project_id` (integer) Associated project ID - `name` (string) Dataset name - `training_version` (string) The foundation model version this dataset targets (e.g., 'fibo', 'max'). Enum: "max", "light", "3.2", "2.3", "fibo" - `caption_prefix` (string,null) Text prepended to captions. * For training_version = max/light/3.2/2.3: Required string. * For training_version = fibo: Null. - `status` (string) Status of the dataset Enum: "draft", "completed" - `captions_update_status` (string) Status of captions update process, relevant for automatic captions generation. Enum: "empty", "in_progress", "completed" - `upload_type` (string) The upload type Enum: "basic", "advanced" - `captions_source` (string) The source of the captions. For 'basic' datasets, this is a null. For 'advanced' datasets, this indicates if captions were generated 'automatic' or provided 'manual'. Enum: "automatic", "manual" - `images_count` (integer) - `created_at` (string) Timestamp when the dataset was created - `updated_at` (string) Timestamp when the dataset was last updated ## Response 401 fields ## Response 429 fields ## Response 500 fields